Subject: bug#46495: 28.0.50; [native-comp] Build fails for 32bit --with-wide-int

From: Andrea Corallo <[email-masked]>
Date: Wed, 31 Mar 2021 10:24:54 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked]
>> Date: Tue, 30 Mar 2021 19:19:12 +0000
>> 
>> >> `batch-native-compile' or `batch-byte-native-compile-for-bootstrap'
>> >> should be equivalent here as the second is just a way to do only byte
>> >> compilation for non dumped files when we are not using NATIVE_FULL_AOT.
>> >
>> > Then I guess I'm missing something: how does Emacs know whether a
>> > given .eln file should be saved in native-lisp/ or in
>> > ~/.emacs.d/eln-cache/?
>> 
>> Ops apologies you are correct, `batch-byte-native-compile-for-bootstrap'
>> also select as destination folder the `native-lisp' directory in the
>> build tree.  It is correct to invoke
>> `batch-byte-native-compile-for-bootstrap' if we want the .eln to be
>> deposed there.
>
> For some reason, compiling files with batch-native-compile does NOT
> produce the message that I'm used to see with
> batch-byte-native-compile-for-bootstrap:
>
>   libgccjit-0.dll: note: disable pass tree-isolate-paths for functions in the range of [0, 4294967295]

I think is probably because `batch-native-compile' run the compilation
as a subprocess so even if GCC is printing to stderr (or stdout) you
don't see it in your terminal.

  Andrea